mui.init();
var status = '';
var styleType = "";
var styleType2 = "stykeType2";
var styleType3 = "p5-recently-money";
var styleType4 = "p5-recently-distancediv";
var listType = "info_box";
var listType2 = "keyword_filter_box";
//方形产品列表上拉
var getUpProducts_list = function() {
	mui.ajax(BASE_URL + 'products', {
		data: {
			page: page,
			category_id: category_id,
			keywords: label || '',
			latitude: latitude,
			longitude: longitude
		},
		dataType: "json",
		type: "get",
		timeout: 0,
		success: function(data) {
			var table = document.querySelector("#p5-products-list-ul");
			if (mui.os.ios) {
				if (document.querySelector("#pullrefresh").clientWidth <= 320 && type == '方图') {
					styleType = "width:100%; height: 150px!important;";
					styleType2 = "styleType2-ios";
					styleType3 = "p5-recently-money-ios";
					styleType4 = "p5-recently-distancediv-ios";
				} else if (document.querySelector("#pullrefresh").clientWidth <= 320 && type == '列表') {
					listType = "info_box-ios";
					listType2 = "keyword_filter_box_ios";
				}
			}
			for (var i = 0; i < data.length; i++) {
				var keywords = data[i].keywords;
				var buttons = '';
				var reg = new RegExp("，", "g");
				if (null != keywords && "" != keywords) {
					if (-1 != keywords.indexOf(',') || -1 != keywords.indexOf('，')) {
						keywords = keywords.replace(reg, ',');
						keywords = keywords.split(',');
						for (var k = 0; k < keywords.length; k++) {
							buttons += '<button>' + keywords[k] + '</button>';
						}
					} else {
						buttons = '<button>' + keywords + '</button>';
					}
				}

				var li = document.createElement('li');
				li.className = 'mui-table-view-cell ' + styleType2;
				li.style.paddingBottom = "0px";
				li.id = 'product_' + data[i].id;
				li.name = data[i].swipeshow_id;
				li.innerHTML = '<img width="110px" height="110px" src="data:image/jpeg;base64,' + data[i].thumbnail + '" style="' + styleType + '"/>' +
					'<div class="mui-media-body" id="' + listType + '">' +
					'<span class="mui-ellipsis-2 p5-recently-name">' + data[i].name + '</span>' +
					'<p class="mui-ellipsis-2 p5-recently-keywords">' +
					buttons +
					'</p>' +
					'<span class="' + styleType3 + '">￥' + data[i].price + '</span>' +
					'<p id="li_icon" class="mui-icon iconfont icon-untitled101"></p>' +
					'</div>' +
					'<div class="' + listType2 + '" style="font-size: 14px; color: #333;">' +
					'<span id="p5-recently-favorite-span">' +
					'<label>&nbsp;&nbsp;收藏:&nbsp;</label><span>' + data[i].favorite_count + '</span>' +
					'<label>&nbsp;&nbsp;评论:&nbsp;</label><span>' + data[i].comment_count + '</span>' +
					'</span>' +
					'<span class="' + styleType4 + '">' +
					'<span class="p5-recently-distance">' + data[i].distance + '</span>' +
					'<span class="mui-icon iconfont icon-unie650 p5-recently-distance-svg"></span>' +
					'</span>' +
					'</div>';
				table.appendChild(li);
				if (data[i].id > offset) {
					offset = data[i].id;
				}
			}
			if (data.length == 10) {
				page++;
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			} else {
				//参数为true代表没有更多数据了。
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			}
		},
		error: function(xhr, type, errorThrown) {
			error_code_handle(xhr, type, errorThrown)
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
		}
	});
}

//方形产品列表下拉
var getDownProducts_list = function() {
	mui.ajax(BASE_URL + 'products', {
		data: {
			offset: offset,
			category_id: category_id,
			keywords: label || '',
			latitude: latitude,
			longitude: longitude
		},
		dataType: "json",
		type: "get",
		timeout: 0,
		success: function(data) {
			var table = document.querySelector("#p5-products-list-ul");
			if (mui.os.ios) {
				if (document.querySelector("#pullrefresh").clientWidth <= 320 && type == '方图') {
					styleType = "width:100%; height: 150px!important;";
					styleType2 = "styleType2-ios";
					styleType3 = "p5-recently-money-ios";
					styleType4 = "p5-recently-distancediv-ios";
				} else if (document.querySelector("#pullrefresh").clientWidth <= 320 && type == '列表') {
					listType = "info_box-ios";
					listType2 = "keyword_filter_box_ios";
				}
			}
			for (var i = data.length; i > 0; i--) {
				var keywords = data[i - 1].keywords;
				var buttons = '';
				var reg = new RegExp("，", "g");
				if (null != keywords && "" != keywords) {
					if (-1 != keywords.indexOf(',') || -1 != keywords.indexOf('，')) {
						keywords = keywords.replace(reg, ',');
						keywords = keywords.split(',');
						for (var k = 0; k < keywords.length; k++) {
							buttons += '<button>' + keywords[k] + '</button>';
						}
					} else {
						buttons = '<button>' + keywords + '</button>';
					}
				}

				var li = document.createElement('li');
				li.className = 'mui-table-view-cell ' + +styleType2;
				li.style.paddingBottom = "0px";
				li.id = 'product_' + data[i - 1].id;
				li.name = data[i - 1].swipeshow_id;
				li.innerHTML = '<img width="110px" height="110px" src="data:image/jpeg;base64,' + data[i - 1].thumbnail + '"/>' +
					'<div class="mui-media-body" id="' + listType + '">' +
					'<span class="mui-ellipsis-2 p5-recently-name">' + data[i - 1].name + '</span>' +
					'<p class="mui-ellipsis-2 p5-recently-keywords">' + buttons + '</p>' +
					'<span class="' + styleType3 + '">￥' + data[i - 1].price + '</span>' +
					'<p id="li_icon" class="mui-icon iconfont icon-untitled101"></p>' +
					'</div>' +
					'<div class="' + listType2 + '" style="font-size: 14px; color: #FFDB58;">' +
					'<span id="p5-recently-favorite-span">' +
					'<label>&nbsp;&nbsp;收藏:&nbsp;</label><span>' + data[i - 1].favorite_count + '</span>' +
					'<label>&nbsp;&nbsp;评论:&nbsp;</label><span>' + data[i - 1].comment_count + '</span>' +
					'</span>' +
					'<span class="' + styleType4 + '">' +
					'<span class="p5-recently-distance">' + data[i - 1].distance + '</span>' +
					'<span class="mui-icon iconfont icon-unie650 p5-recently-distance-svg"></span>' +
					'</span>' +
					'</div>';
				table.insertBefore(li, table.firstChild);
				if (data[i - 1].id > offset) {
					offset = data[i - 1].id;
				}
			}
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
		},
		error: function(xhr, type, errorThrown) {
			error_code_handle(xhr, type, errorThrown)
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
		}
	});
}

groupsStyleType = "mui-media-body";
//公司黄页列表上拉
var getUpProducts_StripList = function() {
	mui.ajax(BASE_URL + "groups", {
		data: {
			page: page
		},
		type: "get",
		dataType: "json",
		timeout: 15000,
		success: function(data) {
			var table = document.querySelector('#p5-companys-list-ul');
			if (mui.os.ios) {
				if (document.querySelector("#pullrefresh").clientWidth <= 320) {
					groupsStyleType = "mui-media-body-ios";
				}
			}
			for (var i = 0; i < data.length; i++) {
				var li = document.createElement('li');
				li.className = 'mui-table-view-cell';
				li.id = 'product_' + data[i].id;
				li.innerHTML = '<img width="70px" height="70px" class="mui-pull-left" src="data:image/jpeg;base64,' + data[i].thumbnail + '"/>' +
					'<div class="' + groupsStyleType + ' mui-ellipsis mui-navigate-right">' +
					'<span class="mui-ellipsis p5-recently-name">' + data[i].name + '</span>' +
					'<p class="mui-ellipsis-2">' + data[i].description + '</p>' +
					'</div>';
				table.appendChild(li);
				//刷新offset
				if (data[i].id > offset) {
					offset = data[i].id;
				}
			}
			if (data.length == 10) {
				page++;
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			} else {
				//参数为true代表没有更多数据了。
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			}
		},
		error: function(xhr, type, errorThrown) {
			//参数为true代表没有更多数据了。
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			error_code_handle(xhr, type, errorThrown);
		}
	});
}

//公司黄页列表下拉
var getDownProducts_StripList = function() {
	mui.ajax(BASE_URL + "groups", {
		data: {
			offset: offset,
		},
		type: "get",
		dataType: "json",
		timeout: 15000,
		success: function(data) {
			var table = document.querySelector('#p5-companys-list-ul');
			if (mui.os.ios) {
				if (document.querySelector("#pullrefresh").clientWidth <= 320) {
					groupsStyleType = "mui-media-body-ios";
				}
			}
			for (var i = data.length; i > 0; i--) {
				var li = document.createElement('li');
				li.className = 'mui-table-view-cell';
				li.id = 'group_' + data[i - 1].id;
				li.innerHTML = '<img width="70px" height="70px" class="mui-pull-left" src="data:image/jpeg;base64,' + data[i - 1].thumbnail + '"/>' +
					'<div class="' + groupsStyleType + ' mui-ellipsis mui-navigate-right">' +
					'<span class="mui-ellipsis p5-recently-name">' + data[i - 1].name + '</span>' +
					'<p class="mui-ellipsis-2">' + data[i - 1].description + '</p>' +
					'</div>';
				table.appendChild(li);
				//刷新offset
				if (data[i - 1].id > offset) {
					offset = data[i - 1].id;
				}
			}
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
		},
		error: function(xhr, type, errorThrown) {
			error_code_handle(xhr, type, errorThrown);
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
		}
	});
}

//文章列表上拉
var articles_Up = function() {
		mui.ajax(BASE_URL + 'articles', {
			data: {
				page: page,
				category_id: category_id
			},
			dataType: 'json',
			type: 'get',
			timeout: 0,
			success: function(data) {
				var table = document.querySelector('#p5-articles-list-ul');
				for (var i = 0; i < data.length; i++) {
					var li = document.createElement('li');
					li.className = 'mui-table-view-cell';
					li.innerHTML = '<a id="' + data[i].id + '" to="1" target="articles_details">' +
						'<img width="90px" height="90px" class="mui-pull-left" src="data:image/jpeg;base64,' + data[i].thumbnail + '">' +
						'<div class="mui-ellipsis mui-media-body">' +
						'<span class="mui-ellipsis-2">' + data[i].name + '</span>' +
						'<p class="mui-ellipsis-2" id="p5-articles-list-content">' + data[i].content + '</p>' +
						'</div>' +
						'</a>';
					var div = document.createElement('div');
					div.className = 'p5-seperator';
					table.appendChild(li);
					table.appendChild(div);
					//刷新offset
					if (data[i].id > offset) {
						offset = data[i].id;
					}
				}
				if (data.length == 10) {
					page++;
					mui('#pullrefresh').pullRefresh().refresh(true);
					mui('#pullrefresh').pullRefresh().endPullupToRefresh();
				} else {
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				}
			},
			error: function(xhr, type, errorThrown) {
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				error_code_handle(xhr, type, errorThrown)
			}
		});

	}
	//文章列表下拉
var articles_Down = function() {
	mui.ajax(BASE_URL + 'articles', {
		data: {
			offset: offset,
			category_id: category_id
		},
		dataType: 'json',
		type: 'get',
		timeout: 0,
		success: function(data) {
			var table = document.querySelector('#p5-articles-list-ul');
			for (var i = data.length; i > 0; i--) {
				var li = document.createElement('li');
				li.className = 'mui-table-view-cell';
				li.innerHTML = '<a id="' + data[i - 1].id + '" to="1" target="articles_details">' +
					'<img width="90px" height="90px" class="mui-pull-left" src="data:image/jpeg;base64,' + data[i - 1].thumbnail + '">' +
					'<div class="mui-ellipsis mui-media-body">' +
					'<span class="mui-ellipsis-2">' + data[i - 1].name + '</span>' +
					'<p class="mui-ellipsis-2" id="p5-articles-list-content">' + data[i - 1].content + '</p>' +
					'</div>' +
					'</a>';
				var div = document.createElement('div');
				div.className = 'p5-seperator';
				table.insertBefore(li, table.firstChild);
				table.insertBefore(div, li.nextSibling);
				//刷新offset
				if (data[i - 1].id > offset) {
					offset = data[i - 1].id;
				}
			}
			//参数为true代表没有更多数据了。
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
		},
		error: function(xhr, type, errorThrown) {
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			error_code_handle(xhr, type, errorThrown)
		}
	});
}

//评论列表上拉
var evaluation_Up = function() {
		mui.ajax(BASE_URL + (plus.webview.currentWebview().article_id != undefined ? 'article_comments' : 'product_comments'), {
			data: {
				article_id: (plus.webview.currentWebview().article_id != undefined ? plus.webview.currentWebview().article_id : ''),
				product_id: (plus.webview.currentWebview().product_id != undefined ? plus.webview.currentWebview().product_id : ''),
				page: page
			},
			dataType: 'json',
			type: 'get',
			timeout: 0,
			success: function(data) {
				var table = document.querySelector('#p5-articles-list-ul');
				for (var i = 0; i < data.length; i++) {
					var li = document.createElement('li');
					li.className = 'mui-table-view-cell';
					li.innerHTML = '<img class="mui-pull-left" src="data:image/jpeg;base64,' + (data[i].avatur != undefined ? data[i].avatur : data[i].thumbnail) + '" height="35px" width="35px" />' +
						'<div class="p5-article-content">' +
						'<span>' + data[i].user + '</span>' +
						'<span class="mui-pull-right">' + data[i].created_time + '</span>' +
						'<p>' + data[i].content + '</p>' +
						'</div>';
					var div = document.createElement('div');
					div.className = 'p5-seperator';
					table.appendChild(li);
					table.appendChild(div);
					//刷新offset
					if (data[i].id > offset) {
						offset = data[i].id;
					}
				}
				if (data.length == 10) {
					page++;
					mui('#pullrefresh').pullRefresh().refresh(true);
					mui('#pullrefresh').pullRefresh().endPullupToRefresh();
				} else {
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				}
			},
			error: function(xhr, type, errorThrown) {
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				error_code_handle(xhr, type, errorThrown)
			}
		});
	}
	//评论列表下拉
var evaluation_Down = function() {
	mui.ajax(BASE_URL + (plus.webview.currentWebview().article_id != undefined ? 'article_comments' : 'product_comments'), {
		data: {
			article_id: (plus.webview.currentWebview().article_id != undefined ? plus.webview.currentWebview().article_id : ''),
			product_id: (plus.webview.currentWebview().product_id != undefined ? plus.webview.currentWebview().product_id : ''),
			offset: offset
		},
		dataType: 'json',
		type: 'get',
		timeout: 0,
		success: function(data) {
			var table = document.querySelector('#p5-articles-list-ul');
			for (var i = data.length; i > 0; i--) {
				var li = document.createElement('li');
				li.className = 'mui-table-view-cell';
				li.innerHTML = '<img class="mui-pull-left" src="data:image/jpeg;base64,' + (data[i - 1].avatur != undefined ? data[i - 1].avatur : data[i - 1].thumbnail) + '" height="35px" width="35px" />' +
					'<div class="p5-article-content">' +
					'<span>' + data[i - 1].user + '</span>' +
					'<span class="mui-pull-right">' + data[i - 1].created_time + '</span>' +
					'<p>' + data[i - 1].content + '</p>' +
					'</div>';
				var div = document.createElement('div');
				div.className = 'p5-seperator';
				table.insertBefore(li, table.firstChild);
				table.insertBefore(div, li.nextSibling);
				//刷新offset
				if (data[i - 1].id > offset) {
					offset = data[i - 1].id;
				}
			}
			//参数为true代表没有更多数据了。
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
		},
		error: function(xhr, type, errorThrown) {
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			error_code_handle(xhr, type, errorThrown)
		}
	});
}
var recentlyStyleType = "mui-media-body";
//最近浏览上拉
var recently_list_up = function() {
	mui.ajax(BASE_URL + 'history', {
		data: {
			token: getState().token,
			page: page
		},
		dataType: 'json',
		type: 'get',
		timeout: 0,
		success: function(data) {
			var table = document.body.querySelector('#p5-recently-list-ul');
			if (mui.os.ios) {
				if (document.querySelector("#pullrefresh").clientWidth <= 320) {
					recentlyStyleType = "mui-media-body-ios";
				}
			}
			for (var i = 0; i < data.length; i++) {
				var li = document.createElement('li');
				li.className = 'mui-table-view-cell';
				li.id = 'product_' + data[i].product_id;
				li.name = data[i].swipeshow_id;
				li.innerHTML = '<img width="70px" height="70px" class="mui-pull-left" src="data:image/jpeg;base64,' + data[i].thumbnail + '"/>' +
					'<div class="' + recentlyStyleType + ' mui-ellipsis mui-navigate-right">' +
					'<span class="mui-ellipsis p5-recently-name">' + data[i].product_name + '</span>' +
					'<span class="mui-ellipsis p5-recently-money">￥' + data[i].product_price + '</span>' +
					'<p class="mui-ellipsis">' + data[i].description + '汽车反反复复</p>' +
					'</div>';
				table.appendChild(li);
				//刷新offset
				if (data[i].scan_id > offset) {
					offset = data[i].scan_id;
				}
			}
			if (data.length == 10) {
				page++;
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			} else {
				//参数为true代表没有更多数据了。
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			}
		},
		error: function(xhr, type, errorThrown) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			error_code_handle(xhr, type, errorThrown)
		}
	});
}

//最近浏览下拉
var recently_list_down = function() {
	mui.ajax(BASE_URL + 'history', {
		data: {
			token: getState().token,
			offset: offset
		},
		dataType: "json",
		type: "get",
		timeout: 0,
		success: function(data) {
			var table = document.body.querySelector('#p5-recently-list-ul');
			if (mui.os.ios) {
				if (document.querySelector("#pullrefresh").clientWidth <= 320) {
					recentlyStyleType = "mui-media-body-ios";
				}
			}
			for (var i = data.length; i > 0; i--) {
				var li = document.createElement('li');
				li.className = 'mui-table-view-cell';
				li.id = 'product_' + data[i - 1].product_id;
				li.name = data[i - 1].swipeshow_id;
				li.innerHTML = '<img width="70px" height="70px" class="mui-pull-left" src="data:image/jpeg;base64,' + data[i - 1].thumbnail + '"/>' +
					'<div class="' + recentlyStyleType + ' mui-ellipsis mui-navigate-right">' +
					'<span class="mui-ellipsis p5-recently-name">' + data[i - 1].product_name + '</span>' +
					'<span class="p5-recently-money">￥' + data[i - 1].product_price + '</span>' +
					'<p class="mui-ellipsis">' + data[i - 1].description + '</p>' +
					'</div>';
				table.insertBefore(li, table.firstChild);
				//刷新offset
				if (data[i - 1].scan_id > offset) {
					offset = data[i - 1].scan_id;
				}
			}
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
		},
		error: function(xhr, type, errorThrown) {
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			error_code_handle(xhr, type, errorThrown)
		}
	});
}
var upsaerchStyleType = "mui-media-body";
//搜索上拉
var fuzzyPullUp = function() {
	mui.ajax(BASE_URL + 'product', {
		data: {
			keywords: serchValue,
			latitude: latitude,
			longitude: longitude,
			page: page
		},
		dataType: 'json',
		type: 'get',
		timeout: 0,
		success: function(data) {
			var table = document.body.querySelector('#p5-fuzzy-list-ul');
			if (mui.os.ios) {
				if (document.querySelector("#pullrefresh").clientWidth <= 320) {
					upsaerchStyleType = "mui-media-body-ios";
				}
			}
			if (data.length > 0) {
				for (var i = 0; i < data.length; i++) {
					var li = document.createElement('li');
					li.className = 'mui-table-view-cell';
					li.id = 'product_' + data[i].id;
					li.name = data[i].swipeshow_id;
					li.innerHTML = '<img width="70px" height="70px" class="mui-pull-left" src="data:image/jpeg;base64,' + data[i].thumbnail + '"/>' +
						'<div class="' + upsaerchStyleType + ' mui-ellipsis mui-navigate-right">' +
						'<span class="mui-ellipsis p5-recently-name">' + data[i].name + '</span>' +
						'<span class="mui-pull-right p5-recently-money">￥' + data[i].price + '</span>' +
						'<p class="mui-ellipsis-2">' + data[i].description + '</p>' +
						'</div>';
					table.appendChild(li);
					//刷新offset
					if (data[i].id > offset) {
						offset = data[i].id;
					}
				}
			} else {
				var li = document.createElement('li');
				li.className = 'mui-table-view-cell';
			}
			if (data.length == 10) {
				page++;
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			} else {
				//参数为true代表没有更多数据了。
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			}
		},
		error: function(xhr, type, errorThrown) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			error_code_handle(xhr, type, errorThrown)
		}
	});
}

//搜索下拉
var fuzzyPullDown = function() {
	mui.ajax(BASE_URL + 'product', {
		data: {
			keywords: serchValue,
			latitude: latitude,
			longitude: longitude,
			offset: offset
		},
		dataType: 'json',
		type: 'get',
		timeout: 0,
		success: function(data) {
			var table = document.body.querySelector('#p5-fuzzy-list-ul');
			if (mui.os.ios) {
				if (document.querySelector("#pullrefresh").clientWidth <= 320) {
					upsaerchStyleType = "mui-media-body-ios";
				}
			}
			for (var i = data.length; i > 0; i--) {
				var li = document.createElement('li');
				li.className = 'mui-table-view-cell';
				li.id = 'product_' + data[i - 1].id;
				li.name = data[i - 1].swipeshow_id;
				li.innerHTML = '<img width="70px" height="70px" class="mui-pull-left" src="data:image/jpeg;base64,' + data[i - 1].thumbnail + '"/>' +
					'<div class="' + upsaerchStyleType + ' mui-ellipsis mui-navigate-right">' +
					'<span class="mui-ellipsis p5-recently-name">' + data[i - 1].name + '</span>' +
					'<span class="mui-pull-right p5-recently-money">￥' + data[i - 1].price + '</span>' +
					'<p class="mui-ellipsis-2">' + data[i - 1].description + '</p>' +
					'</div>';
				table.insertBefore(li, table.firstChild);
				//刷新offset
				if (data[i - 1].id > offset) {
					offset = data[i - 1].id;
				}
			}
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
		},
		error: function(xhr, type, errorThrown) {
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			error_code_handle(xhr, type, errorThrown)
		}
	});
}

//分类上拉
var categories_Up = function() {
	mui.ajax(BASE_URL + 'categories', {
		data: {
			page: page,
			parent: status
		},
		dataType: 'json',
		type: 'get',
		timeout: 0,
		success: function(data) {
			var table = document.querySelector('#p5-articles-list-ul');
			for (var i = 0; i < data.length; i++) {
				var li = document.createElement('li');
				li.className = 'mui-table-view-cell';
				li.innerHTML = '<div id="' + data[i].id + '" name="' + data[i].name + '" to="' + data[i].children + '" class="p5-categories-list">' +
					'<img src="data:image/jpeg;base64,' + data[i].thumbnail + '" width="70px" height="70px" class="mui-pull-left"/>' +
					'<div class="mui-ellipsis mui-navigate-right">' +
					'<span class="mui-ellipsis p5-categories-name">' + data[i].name + '</span>' +
					'<p class="mui-ellipsis-2 p5-categories-description">' + data[i].description + '</p>' +
					'</div>' +
					'</div>';
				table.appendChild(li);
				//刷新offset
				if (data[i].id > offset) {
					offset = data[i].id;
				}
			}
			if (data.length == 10) {
				page++;
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			} else {
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			}
		},
		error: function(xhr, type, errorThrown) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			error_code_handle(xhr, type, errorThrown)
		}
	});
}

//分类下拉
var categories_Down = function() {
	mui.ajax(BASE_URL + 'categories', {
		data: {
			offset: offset,
			parent: status
		},
		dataType: 'json',
		type: 'get',
		timeout: 0,
		success: function(data) {
			var table = document.querySelector('#p5-articles-list-ul');
			for (var i = data.length; i > 0; i--) {
				var li = document.createElement('li');
				li.className = 'mui-table-view-cell';
				li.innerHTML = '<div id="' + data[i - 1].id + '" name="' + data[i - 1].name + '" to="' + data[i - 1].children + '" class="p5-categories-list">' +
					'<img src="data:image/jpeg;base64,' + data[i - 1].thumbnail + '" width="70px" height="70px" class="mui-pull-left"/>' +
					'<div class="mui-ellipsis mui-navigate-right">' +
					'<span class="mui-ellipsis p5-categories-name">' + data[i - 1].name + '</span>' +
					'<p class="mui-ellipsis-2 p5-categories-description">' + data[i - 1].description + '</p>' +
					'</div>' +
					'</div>';
				table.insertBefore(li, table.firstChild);
				//刷新offset
				if (data[i - 1].id > offset) {
					offset = data[i - 1].id;
				}
			}
			//参数为true代表没有更多数据了。
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
		},
		error: function(xhr, type, errorThrown) {
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			error_code_handle(xhr, type, errorThrown)
		}
	});
}

mui.plusReady(function() {

	if (undefined != plus.webview.currentWebview().status) {
		status = plus.webview.currentWebview().status;
		pId[0] = status;
	}
	if (undefined != plus.webview.currentWebview().serchValue) {
		serchValue = plus.webview.currentWebview().serchValue;
	}
	if (undefined != plus.webview.currentWebview().category_id) {
		category_id = plus.webview.currentWebview().category_id;
	}
	if (undefined != plus.webview.currentWebview().label) {
		label = plus.webview.currentWebview().label;
	}

	if (undefined != plus.webview.currentWebview().whereGoTo) {
		if ('products' == plus.webview.currentWebview().whereGoTo) {
			if (0 != getState().Lat || 0 != getState().Lon) {
				longitude = getState().Lon;
				latitude = getState().Lat;
				setTimeout(function() {
					autoFunction(plus.webview.currentWebview().whereGoTo);
				}, 200);
			} else {
				mui.toast("定位中..");
				var ws = plus.nativeUI.showWaiting("", {
					back: "none"
				});
				var state = getState();
				var currentPosition = plus.geolocation.getCurrentPosition(function(p) {
					state.Lat = p.coords.latitude;
					state.Lon = p.coords.longitude;
					setState(state);
					latitude = p.coords.latitude;
					longitude = p.coords.longitude;
					ws.close()
					setTimeout(function() {
						autoFunction(plus.webview.currentWebview().whereGoTo);
					}, 200);
				}, function(e) {
					mui.toast("获取位置失败");
					state.Lat = 0;
					state.Lon = 0;
					setState(state);
					ws.close()
					setTimeout(function() {
						autoFunction(plus.webview.currentWebview().whereGoTo);
					}, 200);
				}, {
					timeout: 5000
				});
			}
		} else {
			setTimeout(function() {
				autoFunction(plus.webview.currentWebview().whereGoTo);
			}, 200);
		}
	}

});
//函数调用也可以直接调用此函数.
var autoFunction = function(fcode) {
	if (fcode == 'articles_list_evaluation') {
		mui.fire(plus.webview.getWebviewById('comments_list_frame.html'), 'setArticleID', {
			article_id: plus.webview.currentWebview().article_id
		});
	}

	mui('#pullrefresh').pullRefresh().pullupLoading();

}