var article_id = '';
var ws = '';
// 是否已经收藏
var favorited = false;
// 分享服务
var shares = null,
	bhref = false;
var ArticleInfo = function(article_id) {
	var time = document.querySelector('.p5-articles-container #time');
	var shoucang = document.querySelector('#p5-gdedail-shoucang1');
	var content = document.querySelector('.p5-articles-container .p5-article-content');
	var evaluation = document.querySelector('#navigation #select');
	ws = plus.nativeUI.showWaiting("", {
		back: "none"
	});
	mui.ajax(BASE_URL + 'article_info', {
		data: {
			token: getState().token || '',
			article_id: article_id
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			time.innerHTML = '时间：' + data.created_time;
			content.innerHTML = data.content;
			// 刷新收藏按钮效果
			if (data.is_favorite) {
				highlightFavoriteBtn();
				favorited = true;
			} else {
				cancelFavoriteBtnHighlight();
				favorited = false;
			}
			var table2 = document.querySelector('#p5-evaluation-ul-list');
			if (0 != data.article_comment.length) {
				var content_count = data.content_count;
				if(content_count > 99999 && content_count <100000000){
					content_count = parseFloat(content_count/10000).toFixed(1)+"万";
				}else if(content_count > 99999999){
					content_count = parseFloat(content_count/100000000).toFixed(1)+"亿";
				}else {
					content_count = data.content_count;
				}
				evaluation.innerHTML = '&nbsp;'+content_count;
				for (var i = data.article_comment.length; i > 0; i--) {
					var li = document.createElement('li');
					li.className = 'mui-table-view-cell';
					li.innerHTML = '<img class="mui-pull-left" src="data:image/jpeg;base64,' + data.article_comment[i - 1].owner_avatur + '" height="35px" width="35px" />' +
						'<div class="p5-article-content">' +
						'<span class="mui-ellipsis">' + data.article_comment[i - 1].owner_name + '</span>' +
						'<span class="mui-pull-right">' + data.article_comment[i - 1].time + '</span>' +
						'<p>' + data.article_comment[i - 1].content + '</p>' +
						'</div>';
					var div = document.createElement('div');
					div.className = 'p5-seperator';
					table2.appendChild(li);
					table2.appendChild(div);
				}
			} else {
				var li = document.createElement('li');
				li.className = 'mui-table-view-cell';
				li.innerHTML = '<div align="center">该文章暂无评论</div>';
				table2.appendChild(li);
				evaluation.innerHTML = '&nbsp;0';
			}
			document.querySelector('.p5-article-evaluation-list').classList.remove('mui-hidden');
			ws.close();
		},
		error: function(xhr, type, errorThrown) {
			error_code_handle(xhr, type, errorThrown)
		}
	});

}
var selectBtn = document.querySelector('#navigation #select');
var submitBtn = document.querySelector('#navigation #submit');
var inputBor = document.getElementById('p5-article-evaluation');
//显示nav样式
document.getElementById('p5-article-evaluation').addEventListener('focus', function() {
	selectBtn.classList.add('mui-hidden');
	submitBtn.className = '';
	inputBor.style.borderBottomColor = '#3C7DD9';
});
document.getElementById('p5-article-evaluation').addEventListener('blur', function() {
	selectBtn.classList.remove('mui-hidden');
	submitBtn.className = 'mui-hidden';
	inputBor.style.borderBottomColor = '#ccc';
});

// 分享按钮触发
document.querySelector('.icon-fenxiang').addEventListener('tap', function(e) {
	if(fenxiang && ARTICLE){
		shareHref();
	}
});

// 收藏按钮
var favoriteBtn = document.getElementById('p5-gdedail-shoucang1');
var highlightFavoriteBtn = function() {
	favoriteBtn.style.color = '#FF4580';

};
var cancelFavoriteBtnHighlight = function() {
	favoriteBtn.style.color = 'white';
};
var like_articles = function() {
	mui.ajax(BASE_URL + 'like_article', {
		data: {
			token: getState().token,
			article_id: plus.webview.currentWebview().article_id,
		},
		type: 'post',
		timeout: '15000',
		success: function(data) {
			favorited = true;
			highlightFavoriteBtn();
			plus.nativeUI.toast('收藏成功!');
			mui.fire(plus.webview.getWebviewById("favorite_list.html"),'upContentList',{
				whereGoTo:'favorite_products',
				btn:'p5-top-article'
			});
		},
		error: function(xhr, type, errorThrown) {
			error_code_handle(xhr, type, errorThrown)
		}
	});
};
var unlike_articles = function() {
	mui.post(BASE_URL + 'unlike_article', {
		token: getState().token,
		article_id: plus.webview.currentWebview().article_id,
	}, function(data) {
		favorited = false;
		cancelFavoriteBtnHighlight();
		var parentContentView = plus.webview.currentWebview().opener();
		if (parentContentView) {
			mui.fire(parentContentView, 'updateContent');
		}
		mui.fire(plus.webview.getWebviewById("favorite_list.html"),'upContentList',{
				whereGoTo:'favorite_products',
				btn:'p5-top-article'
			});
		plus.nativeUI.toast('取消收藏成功!');
	});
};

var Ready = function(){
	article_id = plus.webview.currentWebview().article_id;
	document.querySelector('.p5-articles-container #name').innerHTML = plus.webview.currentWebview().article_name;
}

mui.plusReady(function() {
	if(fenxiang && ARTICLE){
		document.querySelector('.icon-fenxiang').style.display = 'inherit';
		// 分享服务
		updateSerivces();
	}else {
		document.querySelector('.icon-fenxiang').style.display = 'none';
	}
	Ready();
	ArticleInfo(article_id);
});

window.addEventListener('comments_up',function(e){
	document.querySelector('#p5-evaluation-ul-list').innerHTML = '';
	Ready();
	ArticleInfo(article_id);
});
// 收藏按钮触发
document.getElementById('p5-gdedail-shoucang1').addEventListener('tap', function(e) {
	if (favorited) {
		unlike_articles();
	} else {
		like_articles();
	}
});
// 分析链接
var shareHref = function() {
	var ids = [{
		id: "weixin",
		ex: "WXSceneSession"
	}, {
		id: "weixin",
		ex: "WXSceneTimeline"
	}, {
		id: "qq",
		ex: "QQSceneSession"
	}];
	var bts = [];
	if (plus.os.name == "iOS") {
		ids = [{
			id: "qq",
			ex: "QQSceneSession"
		}];
		bts.push({
			title: "分享到腾讯QQ"
		});
	} else {
		bts = [{
			title: "发送给微信好友"
		}, {
			title: "分享到微信朋友圈"
		}, {
			title: "分享到腾讯QQ"
		}];
	}
	plus.nativeUI.actionSheet({
			cancel: "取消",
			buttons: bts
		},
		function(e) {
			var i = e.index;
			if (i > 0) {
				shareAction(ids[i - 1].id, ids[i - 1].ex);
			}
		}
	);
};
/**
 * 更新分享服务
 */
var updateSerivces = function() {
	plus.share.getServices(function(s) {
		shares = {};
		for (var i in s) {
			var t = s[i];
			shares[t.id] = t;
			//					console.log("分享服务插件" + t.id);
		}
	}, function(e) {
		//				console.log("获取分享服务列表失败：" + e.message);
	});
};
/**
 * 分享操作
 * @param {String} id
 */
var shareAction = function(id, ex) {
	var s = null;
	//			console.log("分享操作：");
	if (!id || !(s = shares[id])) {
		//				console.log("无效的分享服务！");
		return;
	}
	if (s.authenticated) {
		//				console.log("---已授权---");
		shareMessage(s, ex);
	} else {
		//				console.log("---未授权---");
		s.authorize(function() {
			shareMessage(s, ex);
		}, function(e) {
			//					console.log("认证授权失败：" + e.code + " - " + e.message);
		});
	}
};
/**
 * 发送分享消息
 * @param {plus.share.ShareService} s
 */
var shareMessage = function(s, ex) {
	var img = document.querySelectorAll("img");
	var thumb = "";
	var msg = {
		extra: {
			scene: ex
		}
	};
	if(undefined != img[0]){
		thumb = img[0].src.split("/")[0] == "http:" ? img[0].src : defImg;
	}else {
		thumb = defImg;
	}
	msg.href = URL + 'article_info?article_id='+article_id;
	msg.title = document.getElementById("name").innerText;
	msg.content = document.querySelector(".p5-article-content").innerText.substring(0, 30);
	msg.thumbs = [thumb];
	s.send(msg, function() {
		plus.nativeUI.toast("分享到\"" + s.description + "\"成功！ ")
	}, function(e) {
		if (e.code == -2) {
			plus.nativeUI.toast("用户取消分享")
		} else {
			plus.nativeUI.toast("分享到 " + s.description + " 失败! ")
		}
	});
};
mui('#navigation').on('tap', 'span', function() {
	if (this.id == 'select') {
		if (this.innerHTML != '&nbsp;0') {
			pullfreshPage('comments_list_frame.html', 'comments_list.html', '文章评论', {
				whereGoTo: 'articles_list_evaluation',
				article_id: article_id
			})
		} else {
			mui.toast("该文章暂无评论");
		}
	} else if (this.id == 'submit') {
		var content = document.getElementById('p5-article-evaluation');
		if (getState().token) {
			if (content.value.trim() != '') {
				mui.ajax(BASE_URL + 'comment_article', {
					data: {
						token: getState().token,
						article_id: article_id,
						content: content.value
					},
					dataType: 'json',
					type: 'post',
					timeout: 10000,
					success: function(data) {
						content.value = '';
						mui.toast("评论成功");
						content.blur();
						document.querySelector('#p5-evaluation-ul-list').innerHTML = '';
						ArticleInfo(article_id);
					},
					error: function(xhr, type, errorThrown) {
						error_code_handle(xhr, type, errorThrown)
					}
				});
			} else {
				mui.toast("请输入评论内容.");
			}
		} else {
			mui.toast("登录后才能发表评论");
		}
	}
});