var ws = null,
			wo = null;
		var em = null,
			map = null;
		// H5 plus事件处理
		function plusReady() {
			if (!em || !window.plus || map) {
				return
			};
			// 获取窗口对象
			ws = plus.webview.currentWebview();
			wo = ws.opener();
			setTimeout(function() {
				map = new plus.maps.Map('map');
				map.showUserLocation(true);
				map.setZoom(15);
				// 获取用户位置信息
				map.getUserLocation(function(state, point) {
					if (0 == state) {
						if(undefined != plus.webview.currentWebview().togo){
							var curr = plus.webview.currentWebview();
							staticMarkers(curr.Lng,curr.Lat,curr.name);
						}else{
							createMarkers(point);
						}
					} else {
						mui.toast("无法获取当前位置");
					}
				});
			}, 300);
			// 显示页面并关闭等待框
			ws.show("slide-in-right", 300);
			wo.evalJS("closeWaiting()");
		}
		if (window.plus) {
			plusReady();
		} else {
			document.addEventListener("plusready", plusReady, false);
		}
		// DOMContentloaded事件处理
		document.addEventListener("DOMContentLoaded", function() {
			em = document.getElementById("map");
			window.plus && plusReady();
		}, false);
		
		function staticMarkers(Lng,Lat,name) {
			map.centerAndZoom(new plus.maps.Point(Lng,Lat), 15);
						var marker = new plus.maps.Marker(new plus.maps.Point(Lng,Lat));
						marker.setIcon('images/k.png');
						marker.setLabel(name);
//						var bubble = new plus.maps.Bubble(data.description);
//						marker.setBubble(bubble);
						map.addOverlay(marker);
			
			
		}

		function createMarkers(center) {
			mui.ajax(BASE_URL + "group_info", {
				data: {
					token:getState().token || "",
					group_id:plus.webview.currentWebview().group_id,
					longitude: center.getLng(),
					latitude: center.getLat(),
					distance: 5000,
				},
				type: "get",
				dataType: "json",
				timeout: 15000,
				success: function(data) {
						map.centerAndZoom(new plus.maps.Point(data.longitude,data.latitude), 15);
						var marker = new plus.maps.Marker(new plus.maps.Point(data.longitude, data.latitude));
						marker.setIcon('images/k.png');
						marker.setLabel(data.name);
						var bubble = new plus.maps.Bubble(data.description);
						marker.setBubble(bubble);
						map.addOverlay(marker);
//					}
				},
				error: function(xhr) {
					console.log("错误!!  " + xhr.status)
				}
			})
			
		}